Upgrade from Jansa to Kasparov

Since Jansa and its rpm based installation, I was able to upgrade my appliance from jansa-1 to Jansa-2 then jansa-3 with dnf upgrade.

Is is possible / supported to dnf upgrade from Jansa-3 to Kasparov-1?

3 Likes

bump I’m pretty interested in this question as well. What I did was the following:

Installing additional packages:

dnf install ruby-devel make redhat-rpm-config
npm install --global yarn

Disable jansa repo in ect/yum.repos.d and add kasparov repo. After that run update to install kasparov packages:

dnf update

Run rails update:

vmdb
bin/update

I was able to login into the appliance. But I don’t know if that way is really solid.